PHP ��U
前一頁 |  | 下一頁

# http_negotiate_ctype

(no version information, might be only in CVS)

http_negotiate_ctype -- Negotiate clients preferred content type

## Description

string http_negotiate_ctype ( [array supported [, array &result]] )

This function negotiates the clients preferred content type based on its Accept HTTP header. The qualifier is recognized and content types without qualifier are rated highest.

## Parameters

supported

  Array containing the supported content types as values

result

  Will be filled with an array containing the negotiation results

## Return Values

Returns the negotiated content type or the default content type (i.e. first array entry) if none match.

## �d��

範例 1. Using http_negotiate_ctype()
`<?php $ctypes = array('application/xhtml+xml', 'text/html'); http_send_content_type(http_negotiate_content_type($ctypes)); ?>`

前一頁 | 內容 | 下一頁
http_negotiate_charset | 上一層 | http_negotiate_language